import service from "../axios"
import answerSheet from "../urls/answerSheet"

export default {
  // 答题卡列表
  fetchPaperList(data) {
    return service({
      url: answerSheet.paperList,
      method: 'POST',
      data
    })
  },
  // 答题卡详情
  fetchPaperDetail(data) {
    return service({
      url: answerSheet.paperDetail,
      method: 'POST',
      data
    })
  },
  // 测验类型
  fetchTypeNames(data) {
    return service({
      url: answerSheet.typeNames,
      method: 'POST',
      data
    })
  },
  // 班级列表
  fetchClassList(data) {
    return service({
      url: answerSheet.classList,
      method: 'POST',
      data
    })
  },
  // 科目列表
  fetchSubjectList(data) {
    return service({
      url: answerSheet.subjectList,
      method: 'POST',
      data
    })
  },
  // 年级列表
  fetchGradeList(data) {
    return service({
      url: answerSheet.gradeList,
      method: 'POST',
      data
    })
  },
  // 添加测验类型
  addPaperType(data) {
    return service({
      url: answerSheet.addPaperType,
      method: 'POST',
      data
    })
  },
  // 修改答题卡测验类型
  editPaperType(data) {
    return service({
      url: answerSheet.editPaperType,
      method: 'POST',
      data
    })
  },
  // 删除答题卡测验类型
  delPaperType(data) {
    return service({
      url: answerSheet.delPaperType,
      method: 'POST',
      data
    })
  },
  // 保存答题卡
  addPaper(data) {
    return service({
      url: answerSheet.addPaper,
      method: 'POST',
      data
    })
  },
  // 删除答题卡
  delPaper(data) {
    return service({
      url: answerSheet.delPaper,
      method: 'POST',
      data
    })
  },
  // 修改答题卡
  modifyPaper(data) {
    return service({
      url: answerSheet.modifyPaper,
      method: 'POST',
      data
    })
  },
}